EDIT - bug #6955

NamedAreaSelection Dialog needs to be adapted to filtered getUuidAndTitleCache loading
09/19/2017 08:40 AM - Katja Luther
Description

now the first opening of the selection dialog is faster, but searching for the first pattern still needs some time. For the
namedAreaSelection dialog there is still no uuidAndTitleCache service method to get the corresponding named areas.

Related issues:

Related to EDIT - feature request #6926: First call of NamedAreaSelectionDial... Closed
Related to EDIT - feature request #7118: migrate selection dialogs Closed
Related to EDIT - bug #7144: Add country as level to all areas of type Country. Closed
Copied to EDIT - bug #9391: If named area level does not exist remove the lev... Closed

Associated revisions

Revision 2fc2f07a - 11/14/2017 01:35 PM - Katja Luther

implement areaSelectionDialog like the other selection dialogs

Revision 92cc0c2b - 11/14/2017 01:39 PM - Katja Luther

add uuidAndTitleCache method to get uuidAndTitleCache of namedArea depending on vocabulary

Revision 55ac3d86 - 11/14/2017 01:46 PM - Katja Luther

after select/deselect vocabulary do a new search

Revision bc5e8c69 - 11/15/2017 09:57 AM - Katja Luther

add level to titleCache of namedArea in uuidAndTitleCache search

History

#1 - 09/19/2017 08:40 AM - Katja Luther

- Related to feature request #6926: First call of NamedAreaSelectionDialog needs too much time added

#2 - 11/08/2017 11:20 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#3 - 11/14/2017 01:47 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

now the namedArea selection dialog works like the other selection dialogs and is much faster now.
Please review.

#4 - 11/15/2017 10:27 AM - Katja Luther

the level is displayed for the areas, too

#5 - 12/06/2017 01:56 PM - Katja Luther

- Related to feature request #7118: migrate selection dialogs added

#6 - 12/19/2017 02:55 PM - Andreas Miuller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

In case no level exists, it looks like the label includes the class name instead. In case of pure NamedAreas this does not make much sense. Maybe
we can only add it in case the class is NOT NamedArea.

Alternatively we should simply add the level "Country" to all areas of class Country. This requires an update script #7144.

Generally the new method works (except for 1 exception https:/dev.e-taxonomy.eu/redmine/issues/7121#note-4) and the ticket can be closed.

#7 - 12/19/2017 02:55 PM - Andreas Miiller
- Related to bug #7144: Add country as level to all areas of type Country. added

#8 - 05/14/2018 04:58 PM - Andreas Miuller

As #7144 is solved now, we should remove the showing of the class name in case no level exists. All the rest seems to work as expected.

#9 - 01/18/2021 10:50 AM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

This is fixed. The open issue is moved to a follow up ticket: #9391

#10 - 01/18/2021 10:50 AM - Andreas Miiller

- Copied to bug #9391: If named area level does not exist remove the level information added
